Subject: bug#42967: 28.0.50; `dired-do-find-regexp' calls internal function `xref--show-xrefs'

From: Philipp Stephani <[email-masked]>
Date: Tue, 25 Aug 2020 09:40:41 +0200

Am Mo., 24. Aug. 2020 um 23:10 Uhr schrieb Dmitry Gutov <[email-masked]>:

>  > In fact, the signature of `xref--show-xrefs' has changed between
>  > Emacs 26 and 27.
>
> That didn't hurt Dired, though.

It does if you upgrade XRef on Emacs 26.3 to the GNU ELPA version.
That's totally possible, and M-x list-package even directly suggests
doing so.

>
> In fact, this is about the main advantage to having these features
> developed together: not having to maintain stable boundaries without
> them. They can be changed in tandem.

They can't if one of them gets released independently and can be
upgraded independently.